## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanQName.hpp File Reference

Include dependency graph for XalanQName.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

- class XalanQName
    Class to represent a qualified name: "The name of an internal XSLT object, specifically a named template (see [7 Named Templates]), a mode (see [6.7 Modes]), an attribute set (see [8.1.4 Named Attribute Sets]), a key (see [14.2 Keys]), a locale (see [14.3 Number Formatting]), a variable or a parameter (see [12 Variables and Parameters]) is specified as a QName. More...
- class XalanQName::PrefixResolverProxy
- class XalanQName::InvalidQNameException
- struct XalanMapKeyTraits< XalanQName >
- struct XalanMapKeyTraits< const XalanQName * >

## Defines

- #define XALANQNAME_HEADER_GUARD_1357924680

## Functions

- bool operator== (const XalanQName &theLHS, const XalanQName &theRHS)
- bool operator!= (const XalanQName &theLHS, const XalanQName &theRHS)
- bool operator< (const XalanQName &theLHS, const XalanQName &theRHS)

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  class XalanElement

## Define Documentation

#define XALANQNAME_HEADER_GUARD_1357924680

## Function Documentation

bool operator!= | ( | const XalanQName & | theLHS,
|  | const XalanQName & | theRHS
| ) |

bool operator< | ( | const XalanQName & | theLHS,
|  | const XalanQName & | theRHS
| ) |

bool operator== | ( | const XalanQName & | theLHS,
|  | const XalanQName & | theRHS
| ) |

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN class XalanElement

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.